summaryrefslogtreecommitdiffhomepage
path: root/sdks/github/script/publish
diff options
context:
space:
mode:
authorFrank <[email protected]>2025-07-20 12:36:53 -0400
committerFrank <[email protected]>2025-07-20 12:36:53 -0400
commit933d50e25a7076e4587d2579c07f21f6bc02d07f (patch)
treec9e6a30b9abfd034948404ee65f87ecdead7bbde /sdks/github/script/publish
parent800bee2722029ac6f531a4c18c7e52c1697a3c64 (diff)
downloadopencode-933d50e25a7076e4587d2579c07f21f6bc02d07f.tar.gz
opencode-933d50e25a7076e4587d2579c07f21f6bc02d07f.zip
wip: github actions
Diffstat (limited to 'sdks/github/script/publish')
-rwxr-xr-xsdks/github/script/publish15
1 files changed, 15 insertions, 0 deletions
diff --git a/sdks/github/script/publish b/sdks/github/script/publish
new file mode 100755
index 000000000..54b1ba56e
--- /dev/null
+++ b/sdks/github/script/publish
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+# Get the latest Git tag
+latest_tag=$(git tag --sort=committerdate | grep -E '^github-v[0-9]+\.[0-9]+\.[0-9]+$' | tail -1)
+if [ -z "$latest_tag" ]; then
+ echo "No tags found"
+ exit 1
+fi
+echo "Latest tag: $latest_tag"
+
+# Update github-v1 to latest
+git tag -d github-v1
+git push origin :refs/tags/github-v1
+git tag -a github-v1 $latest_tag -m "Update github-v1 to $latest_tag"
+git push origin github-v1